import Modal from "@/components/Provider/Modal";
import CategoryModal from "../../components/CategoryModal";

export const categoryActions = {
  async EditCategoryItem(item = {} as any, key = 0) {
    const base: any = await Modal.show(
      <CategoryModal data={item} level={key} />,
      {
        title: item._id ? "编辑菜单" : "添加菜单",
      }
    );
    return base;
  },
};
